/*
 * Try to be a little smarter about which kernel are we currently running
 */

#ifndef __rh_config_h__
#define __rh_config_h__

/*
 * First, get the version string for the running kernel from
 * /boot/kernel.h - initscripts should create it for us
 */

#include "/boot/kernel.h"

#if defined(__BOOT_KERNEL_SMP) && (__BOOT_KERNEL_SMP == 1)
#define __module__smp
#endif

#if defined(__BOOT_KERNEL_BOOT) && (__BOOT_KERNEL_BOOT == 1)
#define __module__BOOT
#endif

#if defined(__BOOT_KERNEL_ENTERPRISE) && (__BOOT_KERNEL_ENTERPRISE == 1)
#define __module__enterprise
#endif

#if !defined(__module__smp) && !defined(__module__BOOT) && !defined(__module__enterprise)
#define __module__up
#endif /* default (BOOT_KERNEL_UP) */

#ifdef __ppc__
# define __module__ppc
# ifdef __module__up
#  define __module__ppc_up
# endif
# ifdef __module__smp
#  define __module__ppc_smp
# endif
# ifdef __module__enterprise
#  define __module_ppc_enterprise
# endif
# ifdef __module__BOOT
#  define __module__ppc_BOOT
# endif
#endif

#if defined(__module__smp) || defined(__module__enterprise)
#define _ver_str(x) smp_ ## x
#else
#define _ver_str(x) x
#endif

#endif /* __rh_config_h__ */
